> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update elimination bucket

> Updates the failure records for specific processors, affecting future elimination decisions.



## OpenAPI

````yaml post /elimination.EliminationAnalyser/UpdateEliminationBucket
openapi: 3.0.0
info:
  title: Dynamic routing - OpenAPI 3.0
  description: This the the open API 3.0 specification for the dynamic routing.
  version: 1.0.0
servers: []
security: []
paths:
  /elimination.EliminationAnalyser/UpdateEliminationBucket:
    post:
      tags:
        - Elimination
      summary: Update elimination bucket
      description: >-
        Updates the failure records for specific processors, affecting future
        elimination decisions.
      operationId: UpdateEliminationBucket
      parameters:
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
          example: public
        - name: x-profile-id
          in: header
          required: true
          schema:
            type: string
          example: pro_WX0giXQnzk2wQJjkKVBX
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          example: dev_VLzQTxkPq3ALj2mlfiHL4mMtXca4uplOIOLaKEzmWAmNBXZjwsuv5bCLjnf0QYHm
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEliminationBucketRequest'
            example:
              id: merchant1
              params: card
              labels_with_bucket_name:
                - label: stripe
                  bucket_name: bucket1
              config:
                bucket_size: 5
                bucket_leak_interval_in_secs: 10
      responses:
        '200':
          description: Bucket updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateEliminationBucketResponse'
        '400':
          description: Invalid request parameters
        '500':
          description: Internal server error
components:
  schemas:
    UpdateEliminationBucketRequest:
      type: object
      properties:
        id:
          type: string
          example: merchant1
          description: Entity identifier
        params:
          type: string
          description: Additional parameters
          example: card
        labels_with_bucket_name:
          type: array
          items:
            $ref: '#/components/schemas/LabelWithBucketName'
          example:
            - label: stripe
              bucket_name: processor_decline
        config:
          $ref: '#/components/schemas/EliminationBucketConfig'
      required:
        - id
        - labels_with_bucket_name
        - config
    UpdateEliminationBucketResponse:
      type: object
      properties:
        status:
          type: string
          description: Status of the update operation
          enum:
            - BUCKET_UPDATION_SUCCEEDED
            - BUCKET_UPDATION_FAILED
      required:
        - status
    LabelWithBucketName:
      type: object
      properties:
        label:
          type: string
          description: Processor identifier
        bucket_name:
          type: string
          description: Bucket to update (failure type)
      required:
        - label
        - bucket_name
    EliminationBucketConfig:
      type: object
      properties:
        bucket_size:
          type: integer
          format: uint64
          example: 5
          description: Maximum failures allowed before elimination
        bucket_leak_interval_in_secs:
          type: number
          format: uint64
          example: 300
          description: Time interval after which failures are "forgotten"
      required:
        - bucket_size
        - bucket_leak_interval_in_secs

````